﻿<%
'*********************************
'  G-Counter
'  分析ページ
'  (C) 岩手県立総合教育センター
'      情報・産業教育担当
'      Masami Mita  2010.09.24
'           update  2017.11.16
'*********************************
'
Sub tbl()
'... ページタイトル
  ptitle = "分析ページ"

'... 変数設定
  Dim tmV(13)
  Dim dummy1(13)
  Dim dummy2 (13)

'... グラフのスケール
  'yscale = 80/500
  yscale = 0.02
  
'... "GET"形式での値取得
  t = Request.QueryString("t")

  If t = "" Then
    tmV(1) = Now()
  Else
    tmV(1) = t
  End If

'... 時刻設定
'  tmV(1)  = Now()
  tmV(2)  = DateAdd("n",-10,tmV(1))
  tmV(3)  = DateAdd("n",-10,tmV(2))
  tmV(4)  = DateAdd("n",-10,tmV(3))
  tmV(5)  = DateAdd("n",-10,tmV(4))
  tmV(6)  = DateAdd("n",-10,tmV(5))
  tmV(7)  = DateAdd("n",-10,tmV(6))
  tmV(8)  = DateAdd("n",-10,tmV(7))
  tmV(9)  = DateAdd("n",-10,tmV(8))
  tmV(10) = DateAdd("n",-10,tmV(9))
  tmV(11) = DateAdd("n",-10,tmV(10))
  tmV(12) = DateAdd("n",-10,tmV(11))
  tmV(13) = DateAdd("yyyy",-1,tmV(12))

'... データ数取得
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("project.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  '... SQL文の作成
  StrSQL = "select count(*) from master"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  '... SQL実行
  ObjRS.Open StrSQL,ObjConn,3,3
  maxValue = ObjRS(0)
  '... DB接続解除
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing

'... データ集計
  '... DB接続
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("project.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  
  '... 大人のカウント数
  For i=1 to 12
    StrSQL ="select count(*) from master where tm <= #" & tmV(i) & "# and tm > #" & tmV(i+1) & "# and Left(uNo,1) ='1'"
    Set ObjRS = Server.CreateObject("ADODB.Recordset")
    ObjRS.Open StrSQL,ObjConn,3,3
    dummy1(i) = ObjRS(0)
  Next
  
  '... 小人のカウント数
  For i=1 to 12
    StrSQL ="select count(*) from master where tm <= #" & tmV(i) & "# and tm > #" & tmV(i+1) & "# and Left(uNo,1) ='0'"
    Set ObjRS = Server.CreateObject("ADODB.Recordset")
    ObjRS.Open StrSQL,ObjConn,3,3
    dummy2(i) = ObjRS(0)
  Next  
  
  '... DB接続解除
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
  
  Response.Write "<table border='1' cellspacing='0' class='graphBox'>"
  Response.Write "<tr>"
  Response.Write "<td valign='bottom' align='center'>"
  Response.Write "<table border='0' cellspacing='0'>"
  Response.Write "<tr>"
  
  For i=1 to 12
    For j=1 to i
      dum1 = dum1 + dummy1(13-j)
      dum2 = dum2 + dummy2(13-j)
    Next
    '
    Response.Write "<td height='50' valign='bottom'>"
    Response.Write "<img src='graph1.gif' width='15' height='" & int(dum1*yscale) & "' alt='" & dum1 & "'><br>"
    Response.Write "<img src='graph2.gif' width='15' height='" & int(dum2*yscale) & "' alt='" & dum2 & "'>"
    Response.Write "</td>"
    dum1 = 0
    dum2 = 0
  Next
  
  Response.Write "</tr>"
  Response.Write "<tr>"
  
    If t = "" Then
      strFirst = Hour(Now())
      strLast  = DateAdd("h",-2,Now())
      firstTm  = Hour(Now())
      tmm      = Right("00" & Minute(Now()),2)
      lastTm   = Hour(DateAdd("h",-2,Now()))
    Else
      strFirst = t
      strLast  = DateAdd("h",-2,t)
      firstTm  = Hour(t)
      lastTm   = Hour(DateAdd("h",-2,t))
      tmm      = Right("00" & Miinute(Now()),2)
    End If
    
  Response.Write "<td colspan='12'>"
  Response.Write "<div class='memo'><a href='analy.asp?t=" & strLast & "'><-</a>　" & lastTm & "時" & tmm & "分 <---------> " & firstTm & "時" & tmm & "分　<a href='analy.asp?t=" & strFirst & "'>-></a></div></td>"
  Response.Write "</tr>"
  Response.Write "</table>"
  Response.Write "</td>"
  Response.Write "</tr>"
  Response.Write "</table>"
End Sub
%>
