﻿<%
'*********************************
'  G-Counter
'  来場者数表示
'  (C) 岩手県立総合教育センター
'      情報・産業教育担当
'      Masami Mita  2017.10.09
'           update  2017.11.18
'********************************
'
'... ページタイトル
  pTitle = "来場者数表示"
%>
<html>
<head>
<meta charset="UTF-8">
<title><% = pTitle %></title>
<link rel="stylesheet" type="text/css" href="main.css">
<link rel="stylesheet" type="text/css" href="admin.css">
<meta http-equiv="Refresh" content="60">
</head>
<body>
<div class="mainTitle"><% = pTitle %></div>
<div class="mainStage">
  <%
  '... 来場者数の取得（大人）
  DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
  Server.MapPath("project.mdb")
  Set ObjConn = Server.CreateObject("ADODB.Connection")
  ObjConn.Open DBName
  ObjConn.BeginTrans
  '... SQL文の作成
  StrSQL = "select uNo from master group by uNo"
  Set ObjRS = Server.CreateObject("ADODB.Recordset")
  '... SQL実行
  ObjRS.Open StrSQL,ObjConn,3,3
  Do until ObjRS.eof
    If left(ObjRS(0),1)=1 Then
      If IsNumeric(ObjRS(0)) Then
        cnt1 = cnt1 + 1
      End If
    End If
  ObjRS.MoveNext
  Loop
   
  ObjConn.CommitTrans
  ObjConn.Close
  Set ObjConn = Nothing
  
  
  '... 来場者数の取得（小人）
  Set ObjConn2 = Server.CreateObject("ADODB.Connection")
  ObjConn2.Open DBName
  ObjConn2.BeginTrans
  '... SQL文の作成
  StrSQL2 = "select uNo from master group by uNo"
  Set ObjRS2 = Server.CreateObject("ADODB.Recordset")
  '... SQL実行
  ObjRS2.Open StrSQL2,ObjConn2,3,3
  Do until ObjRS2.eof
    If left(ObjRS2(0),1)=0 Then
      If IsNumeric(ObjRS2(0)) Then
        cnt2 = cnt2 + 1
      End If
    End If
  ObjRS2.MoveNext
  Loop
   
  ObjConn2.CommitTrans
  ObjConn2.Close
  Set ObjConn2 = Nothing
  
  sumall = cnt1 + cnt2
    
    %>
    <div class="totalC">
      <div>大人：<% = cnt1 %>名</div>
      <div>小人：<% = cnt2 %>名</div>
      <div>計　：<% = sumall %>名</div>
    </div>
    
    <div><% = now() %>　現在</div>
    
</div>
</div>
</body>
</html>
