﻿<%
'*********************************
'  G-Counter
'  イベント毎一覧表示
'  (C) 岩手県立総合教育センター
'      情報・産業教育担当
'      Masami Mita  2010.09.08
'           update  2017.11.05
'********************************
'
'... ページタイトル
  pTitle = "企画毎一覧表示"

'... グラフのスケール
  scale = 1
%>
<html>
<head>
<meta charset="UTF-8">
<title><% = pTitle %></title>
<link rel="stylesheet" type="text/css" href="main.css">
<link rel="stylesheet" type="text/css" href="admin.css">
<script language="javascript" type="text/javascript" src="js/jquery-3.2.1.min.js"></script>
<script language="javascript" type="text/javascript" src="js/jquery.jqplot.min.js"></script>
<script language="javascript" type="text/javascript" src="js/jqplot.barRenderer.min.js"></script>
<script language="javascript" type="text/javascript" src="js/jqplot.categoryAxisRenderer.min.js"></script>
<link rel="stylesheet" type="text/css" href="js/jquery.jqplot.min.css" />
<style>
.pl{
  margin-left 20px;
}
</style>
</head>
<body>
<div class="mainTitle"><% = pTitle %></div>
<div class="mainStage">
  <table border="1" cellspacing="0"  class="tmTbl">
    <tr>
      <td class="header"><div class="topHeader">No              </div></td>
      <td class="header"><div class="topHeader">チェックポイント</div></td>
      <td class="header"><div class="topHeader">利用者数        </div></td>
      <td class="header"><div class="topHeader">グラフ          </div></td>
    </tr>
    <%
    '... DB接続
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("project.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    '... SQL文の作成
    StrSQL = "select * from machine order by ID"
    Set ObjRS = Server.CreateObject("ADODB.Recordset")
    '... SQL実行
    ObjRS.Open StrSQL,ObjConn,3,3
    Do until ObjRS.eof
      cnt = cnt + 1
      Response.Write "<tr>"
      Response.Write "<td><div class='cell'>" & cnt      & "</div></td>"
      Response.Write "<td><div class='cell2'>" & ObjRS(2) & "</div></td>"
        '... DB接続
        DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
        Server.MapPath("project")
        Set ObjConn0 = Server.CreateObject("ADODB.Connection")
        ObjConn0.Open DBName
        ObjConn0.BeginTrans
        '... SQL文の作成
        StrSQL0 = "select count(*) from master where IP = '" & ObjRS(1) & "'"
        Set ObjRS0 = Server.CreateObject("ADODB.Recordset")
        '... SQL実行
        ObjRS0.Open StrSQL0,ObjConn0,3,3
        dummy = ObjRS0(0)
        '... DB接続解除
        ObjConn0.CommitTrans
        ObjConn0.Close
        Set ObjConn0 = Nothing
      Response.Write "<td><div class='cell'>" & dummy & "</div></td>"
      Response.Write "<td><img src='border.gif' height='29' width='" & dummy * scale & "'></td>"
      Response.Write "</tr>"
    ObjRS.MoveNext
    Loop
    '... DB接続解除
    ObjConn.commitTrans
    ObjConn.Close
    Set ObjConn = Nothing
    %>
  </table>
</div>



<div>
<div id="jqPlot-sample" style="height: 600px; width: 1000px; margin-left: 20px;"></div>
</div>
</body>
<script>
jQuery( function() {
    jQuery . jqplot(
        'jqPlot-sample',
        [
            [ [ 658, 'Point01【正面玄関ロビー】658' ], [ 587, 'Point02【管理棟３F南側】587' ], [ 599, 'Point03【管理棟３F北側】599' ], [ 564, 'Point04【管理棟４F南側】564' ], [ 433, 'Point05【管理棟４F北側】572' ], [ 572, 'Point06【教育支援相談棟１F】433' ] , [ 408, 'Point07【推進センター】408' ], [ 581, 'Point08【技術・情報棟１F】581' ], [ 576, 'Point09【体育館】576']]
        ],
        {
            title: {
                text: 'sample',
                textAlign: 'center',
                fontSize: '30px'
            },
            seriesDefaults: {
                renderer: jQuery.jqplot.BarRenderer,
                rendererOptions: {
                    barDirection: 'horizontal',
                    color: '#808000',
                }
            },
            axes: {
                yaxis: {
                    renderer: jQuery . jqplot . CategoryAxisRenderer,
                    labelOptions: {
                          fontSize: '30px'
                    }
                }
            }
        }
    );
} );
</script>
</html>
