﻿<%
'*********************************
'  G-Counter
'  イベント毎一覧表示
'  (C) 岩手県立総合教育センター
'      情報・産業教育担当
'      Masami Mita  2010.09.08
'           update  2017.11.05
'********************************
'
'... ページタイトル
  pTitle = "企画毎一覧表示"

'... グラフのスケール
  scale = 1
%>
<html>
<head>
<meta charset="UTF-8">
<title><% = pTitle %></title>
<link rel="stylesheet" type="text/css" href="main.css">
<link rel="stylesheet" type="text/css" href="admin.css">
<script language="javascript" type="text/javascript" src="js/jquery-3.2.1.min.js"></script>
<script language="javascript" type="text/javascript" src="js/jquery.jqplot.min.js"></script>
<script language="javascript" type="text/javascript" src="js/jqplot.barRenderer.min.js"></script>
<script language="javascript" type="text/javascript" src="js/jqplot.categoryAxisRenderer.min.js"></script>
<link rel="stylesheet" type="text/css" href="js/jquery.jqplot.min.css" />
<style>
.pl{
  margin-left 20px;
}
</style>
</head>
<body>
<div class="mainTitle"><% = pTitle %></div>
<div class="mainStage">
    <%
    '... DB接続
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("project.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    '... SQL文の作成
    StrSQL = "select * from machine order by ID"
    Set ObjRS = Server.CreateObject("ADODB.Recordset")
    '... SQL実行
    ObjRS.Open StrSQL,ObjConn,3,3
    Do until ObjRS.eof
      
      
        '... DB接続
        DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
        Server.MapPath("project")
        Set ObjConn0 = Server.CreateObject("ADODB.Connection")
        ObjConn0.Open DBName
        ObjConn0.BeginTrans
        '... SQL文の作成
        StrSQL0 = "select count(*) from master where IP = '" & ObjRS(1) & "'"
        Set ObjRS0 = Server.CreateObject("ADODB.Recordset")
        '... SQL実行
        ObjRS0.Open StrSQL0,ObjConn0,3,3
        dummy = ObjRS0(0)
        
        str = str & "[" & ObjRS0(0) & ",'" & ObjRS(2) & ":" & ObjRS0(0) & "'],"
        
        '... DB接続解除
        ObjConn0.CommitTrans
        ObjConn0.Close
        Set ObjConn0 = Nothing
    ObjRS.MoveNext
    Loop
    '... DB接続解除
    ObjConn.commitTrans
    ObjConn.Close
    Set ObjConn = Nothing
    strL = Len(str)
    str = Left(str,strL-1)
    
    %>
</div>


<div>
<div id="jqPlot-sample" style="height: 600px; width: 1200px; margin-left: 20px;"></div>
</div>
</body>
<script>
jQuery( function() {
    jQuery . jqplot(
        'jqPlot-sample',
        [
            [ <% = str %> ]
        ],
        {
            seriesDefaults: {
                renderer: jQuery.jqplot.BarRenderer,
                rendererOptions: {
                    barDirection: 'horizontal',
                    color: '#808000',
                }
            },
            axes: {
                yaxis: {
                    renderer: jQuery . jqplot . CategoryAxisRenderer,
                    labelOptions: {
                          fontSize: '30px',
                    }
                }
            }
        }
    );
} );
</script>
</html>
