﻿<%
'*********************************
'  G-Counter
'  時間毎一覧
'  (C) 岩手県立総合教育センター
'      情報・産業教育担当
'      Masami Mita  2010.09.08
'           update  2017.11.16
'********************************
'
'... ページタイトル
  pTitle = "時間毎一覧"

'... グラフスケール
  scale = 0.7
%>
<html>
<head>
<meta charset="UTF-8">
<title><% = pTitle %></title>
<link rel="stylesheet" type="text/css" href="main.css">
<link rel="stylesheet" type="text/css" href="admin.css">
<meta http-equiv="Refresh" content="60">
</head>
<body>
<div class="mainTitle"><% = pTitle %></div>
<div class="mainStage">
  <table border="1" cellspacing="0" class="tmTbl">
  <tr>
    <td class="header"><div class="topHeader">時間帯</div></td>
    <td class="header"><div class="topHeader">大人  </div></td>
    <td class="header"><div class="topHeader">小人  </div></td>
    <td class="header"><div class="topHeader">合計  </div></td>
    <td class="header"><div class="topHeader">グラフ</div></td>
  </tr>
  <%
  For i = 7 to 21
    '... DB接続（大人のカウント）
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("project.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    '... SQL文の作成
    StrSQL = "select count(*) from master where Hour(tm) = " & i & " and left(uNo,1) = '1'"
    Set ObjRS = Server.CreateObject("ADODB.Recordset")
    '... SQL実行
    ObjRS.Open StrSQL,ObjConn,3,3
    totalNumber1 = ObjRS(0)
    '... DB接続
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjConn = Nothing
    
    '... Db接続（小人のカウント）
    DBName = "Driver={Microsoft Access Driver (*.mdb)}; DBQ=" & _
    Server.MapPath("project.mdb")
    Set ObjConn = Server.CreateObject("ADODB.Connection")
    ObjConn.Open DBName
    ObjConn.BeginTrans
    '... SQL文の作成
    StrSQL = "select count(*) from master where Hour(tm) = " & i & " and left(uNo,1) = '0'"
    Set ObjRS = Server.CreateObject("ADODB.Recordset")
    '... SQL実行
    ObjRS.Open StrSQL,ObjConn,3,3
    totalNumber2 = ObjRS(0)
    '... DB接続
    ObjConn.CommitTrans
    ObjConn.Close
    Set ObjConn = Nothing
    
    sumNumber = totalNumber1 + totalnumber2
    
    If Hour(Now()) = i Then
      borC = "#F0E68C"
    Else
      borC = ""
    End If
    
    Response.Write "<tr bgColor='" & borC & "'>"
    Response.Write "<td><div class='cell'>" & i & "</div></td>"
    Response.Write "<td><div class='cell'>" & totalNumber1 & "</div></td>"
    Response.Write "<td><div class='cell'>" & totalNumber2 & "</div></td>"
    Response.Write "<td><div class='cell'>" & sumNumber &    "</div></td>"
    If sumNumber = 0 Then
      Response.Write "<td>　</td>"
    Else
      Response.Write "<td><img src='graph1.gif' height='30' width='" & totalNumber1*scale & "'>"
      Response.Write     "<img src='graph2.gif' height='30' width='" & totalNumber2*scale & "'></td>"
    End If
    Response.Write "</tr>"
  Next
  %>
  </table>
</div>
</body>
</html>
